Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Attributes | Friends
tlp::StringProperty Class Reference

`#include <StringProperty.h>`

Inheritance diagram for tlp::StringProperty:
[legend]
Collaboration diagram for tlp::StringProperty:
[legend]

List of all members.

## Public Member Functions

- StringProperty (Graph *g, std::string n="")
- PropertyInterface * clonePrototype (Graph *, const std::string &)
- std::string getTypename () const
- int compare (const node n1, const node n2) const
    Specific implementation of AbstractProperty::compare(node n1,node n2)
- int compare (const edge e1, const edge e2) const
    Specific implementation of AbstractProperty::compare(edge e1,edge e2)

## Static Public Attributes

- static const std::string propertyTypename

## Friends

- class StringAlgorithm

## Constructor & Destructor Documentation

tlp::StringProperty::StringProperty | ( | Graph * | g,
|  | std::string | n = `""`
| ) |  | `[inline]`

## Member Function Documentation

PropertyInterface* tlp::StringProperty::clonePrototype | ( | Graph * | ,
|  | const std::string & |
| ) |  | `[virtual]`

Creates an object of the same real type of the current property, in the the graph (first parameter) with the name (second parameter). Values are not copied.

Implements tlp::PropertyInterface.

int tlp::StringProperty::compare | ( | const edge | e1,
|  | const edge | e2
| ) |  | const`[virtual]`

Specific implementation of AbstractProperty::compare(edge e1,edge e2)

Reimplemented from tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >.

int tlp::StringProperty::compare | ( | const node | n1,
|  | const node | n2
| ) |  | const`[virtual]`

Specific implementation of AbstractProperty::compare(node n1,node n2)

Reimplemented from tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >.

std::string tlp::StringProperty::getTypename | ( |  | ) | const`[inline, virtual]`

Returns a string describing the type of the property. i.e. "graph", "double", "layout", "string", "integer", "color", "size", ...

Implements tlp::PropertyInterface.

## Friends And Related Function Documentation

friend class StringAlgorithm`[friend]`

## Member Data Documentation

const std::string tlp::StringProperty::propertyTypename`[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2012